Bug 209324 - [labeled networking] NetLabel has a race problem in the cache
[labeled networking] NetLabel has a race problem in the cache
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Paris
Brian Brock
:
Depends On:
Blocks: 208884
  Show dependency treegraph
 
Reported: 2006-10-04 12:32 EDT by Paul Moore
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-17 14:19:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Moore 2006-10-04 12:32:43 EDT
Description of problem:
The NetLabel subsystem has a race problem in it's cache where an entry could be
freed while still in use.  A patch which fixes the problem can be found here:

 * http://marc.theaimsgroup.com/?l=linux-netdev&m=115997706318149&w=2

Version-Release number of selected component (if applicable):
All kernels which include NetLabel.

How reproducible:
This can be difficult to reproduce as it requires hitting a small window.

Steps to Reproduce:
1. Configure NetLabel
2. Generate traffic over a NetLabel connection
3. Repeatedly flush the NetLabel cache (delete CIPSO DOIs, reload the SELinux
policy)
  
Actual results:
The kernel will oops.

Expected results:
No oops.

Additional info:
This directly effects the LSPP efforts of RH, HP, and IBM.
Comment 1 RHEL Product and Program Management 2006-10-05 15:17:24 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Jay Turner 2006-10-10 11:00:30 EDT
QE ack for RHEL5B2 according to 14b.
Comment 5 Don Zickus 2006-10-10 21:37:38 EDT
in kernel-2.6.18-1.2725.el5

Note You need to log in before you can comment on or make changes to this bug.